window.onload = function() {
    var itemType = sessionStorage.itemType;
    var city = sessionStorage.cityOne || sessionStorage.city;
    var userId = sessionStorage.userId;
    //生产服务器
    //var interFace = 'http://118.31.71.64/';
    //测试服务器
    //var interFace = 'http://118.31.68.224/';
    //正式服务器
    var interFace = 'https://www.jingomall.com/';
    // 生成页面内容
    Generate();
window.android.showLog('进入页面城市'+city);
    function Generate() {
        console.log(sessionStorage)
        $('.loader').css("display", "block");
        $('#sdrCity').text(city); //右上角城市
        window.android.showLog('进入页面城市'+city);
        //获取到去掉市字的城市,接口不能带市
        // var city = "杭州市"
        if (city.charAt(city.length - 1) == '市') {
            city = city.substring(0, city.length - 1);
        } else {
            city = $('#sdrCity').text();
        }
        //判断是哪种类型的缴费,调用生成函数
        window.android.showLog('缴费的类型为：'+itemType);
        if (itemType == '2') {
            relatively('电费', "#ffc148", './img/xiaodianfei@3x.png', '10位编号,请查看账单/短信', '10', '2');
            //调用商品查询接口
            Obtain(city, '电费', 9);
        } else if (itemType == '1') {
            relatively('水费', "#599fff", './img/shuifei@2x.png', '5-7位编号,请查看账单/短信', '5', '1');
            //调用商品查询接口
            Obtain(city, '水费', 9);
        } else if (itemType == '3') {
            relatively('燃气费', "#ff755a", './img/meiqifei@2x.png', '6位编号,请查看账单/短信', '6', '3');
            //调用商品查询接口
            Obtain(city, '燃气费', 10);
        }
    }
    // 根据缴费类型,生成相应的页面
    function relatively(title, background, src, placeholder, length, type) {
        $('#sdrTitle').text(title);
        $('.sdrIconBox').css('background', background);
        $('.sdrIconPic').attr('src', src);
        $('.sdrSsdrct').attr({
            'placeholder': placeholder,
            'length': length
        });
        $('.sdrBtn').attr('paytype', type);
    }


    /**
     * 
     * 进入信息输入查询页面时获取到缴费商品
     * @param {省份} Province 
     * @param {城市} City 
     * @param {缴费类型} itemType
     * @param {需要截掉的字符串长度} Lens 
     */
    function Obtain(City, itemType) {
        console.log(City, itemType)
        $.ajax({
            type: 'POST',
            url: 'https://bird.ioliu.cn/v1/?url=' + interFace + 'chat/charge/itemList',
            data: {
                province: '',
                city: City,
                item: itemType,
                page: 0
            },
            async: true,
            success: function(data) {
                console.log('请求商品列表的数据:::');
                console.log(data);
                window.android.showLog('请求数据成功');
                // 该地区没有缴费商品
                if (data.value.length == 0) {
                    var str = '<div class="BalancelessBox">' +
                        '<div class="BalancelessTex">该地区暂不支持缴费</div>' +
                        '<div class = "BalancelessBtn edideleteBtn"> 确定 </div>' +
                        '</div>';
                    $('.Balanceless').append(str);
                    $('.Balanceless').css("display", "block");
                    $('.BalancelessBtn').click(function() {
                        $('.Balanceless').css("display", "none");
                        history.go(-1);
                    })
                } else {
                    var str, item, oneitem;
                    //第一条数据截取后渲染到首页
                    oneitem = (data.value[0].itemName).replace(/\s/g, '');
                    $('.sdrtitleTxt').text(oneitem);
                    $('.sdrtitleTxt').attr('id', data.value[0].itemId);
                    //渲染商品列表
                    for (var i = 0; i < data.value.length; i++) {
                        item = data.value[i].itemName;
                        item = item.replace(/\s/g, '');
                        str = '<li class="mechanismList" id=' + data.value[i].itemId + '>' + item + '</li>';
                        $('.mechanismUl').append(str);
                    }
                    //数据获取到之后再让填写信息页面显示出来
                    $('.mainTwo').css({
                        "display": "block",
                    });
                    //给缴费机构显示栏添加选择与返回事件:
                    //选择缴费机构
                    $('.sdrtitleTxt').click(function() {
                        $('#sdrBack').removeAttr('href', 'data-href');
                        $('#sdrBack').attr('isback', '1');
                        $('.mechanism').css({
                            'transform': 'translateX(0)',
                            'opacity': 1
                        });
                        $('.sdrBox').css({
                            'transform': 'translateX(-100%)',
                            'opacity': 0
                        });
                        inquireToback();
                    })
                    //监听input的值并添加账单查询事件
                    ChaXun();
                }
                window.android.showLog('取消动画');
                $('.loader').css("display", "none");
            }
        })
    }

    /*
     *
     *监听input输入框的值与添加查询账单事件(Obtain调用)
     */
    function ChaXun() {
        var sdrSsdrct = $('.sdrSsdrct');
        var inputLength = sdrSsdrct.val().length;
        //给input绑定事件监听函数
        sdrSsdrct.bind('input propertychange', function() {
            if (sdrSsdrct.val().length >= 1) {
                $('.sdrBtn').css({
                    "background": "#05a8ac",
                    "color": "#ffffff"
                });
                $('.sdrBtn').attr({
                    'disabled': false
                });
                $('.sdrBtn').click(function() {
                    //获取商品ID,缴费类型,户号
                    sessionStorage.itemId = $('.sdrtitleTxt').attr("id");
                    sessionStorage.itemType = $(this).attr('paytype');
                    sessionStorage.account = $('.sdrSsdrct').val();
                    window.location.href = "result.html";
                })
            } else {
                $('.sdrBtn').css({
                    "background": "#eeeeee",
                    "color": "#999999"
                });
                $('.sdrBtn').attr({
                    'disabled': 'disabled'
                });
            }
        });
    }


    // 账单输入页面头部返回事件
    function inquireToback() {
        var i = 0;
        $("#sdrBack").click(function() {
            if (!i) {
                $('.mechanism').css({
                    "transform": "translateX(100%)",
                    "opacity": "0"
                });
                $(".sdrBox").css({
                    "transform": "translateX(0)",
                    "opacity": "1"
                });
                i++;
            } else {
                $("#sdrBack").click(function() {
                    history.go(-1);
                })
            }
        })
        // 选择缴费机构后返回前一页
        $('.mechanismList').click(function() {
            if (!i) {
                $('#sdrBack').attr('isback', '0');
                var sdrtitleTxt = $('.sdrtitleTxt');
                $('.mechanism').css({
                    'transform': 'translateX(100%)',
                    'opacity': 0
                });
                $('.sdrBox').css({
                    'transform': 'translateX(0)',
                    'opacity': 1
                });
                sdrtitleTxt.text($(this).text());
                sdrtitleTxt.attr('id', $(this).attr('id'));
                i++;
            }
        })
    }
}